package com.ylx.giftCard.enums;

import lombok.Getter;

@Getter
public enum GiftCardOrderStatusEnum {

    WAIT_PAY(0, "待支付"),
    PAID(1, "已支付"),
    REFUNDED(2, "已退款"),
    EXPIRED(3, "已过期"),
    CANCEL(4, "已取消");

    private final Integer code;
    private final String info;

    GiftCardOrderStatusEnum(Integer code, String info) {
        this.code = code;
        this.info = info;
    }
}
